%define module_name Graph-Maker-Other
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Algorithm/ChooseSubsets.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/HomeDir.pm) perl(File/Map.pm) perl(File/Slurp.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Graph.pm) perl(Graph/Convert.pm) perl(Graph/Easy.pm) perl(Graph/Easy/As_graph6.pm) perl(Graph/Easy/Parser/Graph6.pm) perl(Graph/Graph6.pm) perl(Graph/Maker.pm) perl(Graph/Maker/CircularLadder.pm) perl(Graph/Maker/Complete.pm) perl(Graph/Maker/Cycle.pm) perl(Graph/Maker/Hypercube.pm) perl(Graph/Maker/Star.pm) perl(Graph/Maker/Wheel.pm) perl(Graph/Reader/Graph6.pm) perl(Graph/Writer/Graph6.pm) perl(Graph/Writer/Sparse6.pm) perl(GraphViz2.pm) perl(HTML/Entities.pm) perl(IPC/Run.pm) perl(Image/Base/Text.pm) perl(List/Util.pm) perl(Math/BaseCnv.pm) perl(Math/BigFloat.pm) perl(Math/BigInt.pm)
BuildRequires: perl(Math/BigRat.pm) perl(Math/Complex.pm) perl(Math/Geometry/Planar.pm) perl(Math/NumSeq/BalancedBinary.pm) perl(Math/NumSeq/Fibonacci.pm) perl(Math/NumSeq/FibonacciWord.pm) perl(Math/NumSeq/OEIS.pm) perl(Math/NumSeq/PlanePathCoord.pm) perl(Math/OEIS/Grep.pm) perl(Math/Permute/Array.pm) perl(Math/PlanePath/Base/Digits.pm) perl(Math/PlanePath/ComplexPlus.pm) perl(Math/PlanePath/DragonCurve.pm) perl(Math/PlanePath/R5DragonCurve.pm) perl(Math/PlanePath/SierpinskiTriangle.pm) perl(Math/PlanePath/TriangularHypot.pm) perl(Math/PlanePath/ZOrderCurve.pm) perl(PostScript/Simple.pm) perl(Scalar/Util.pm) perl(Smart/Comments.pm) perl(Test.pm) perl(base.pm) perl(constant/defer.pm) perl(sort.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 13
Release: alt1
Summary: Create Graph.pm graph theory graphs of various kinds.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/graph-maker-other/index.html

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KR/KRYDE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
`Graph::Maker::BinomialTree' creates a `Graph.pm' graph of a Binomial tree
with N vertices.  Vertices are numbered from 0 at the root through to N-1.  

The parent of a given vertex is its number n with the lowest 1-bit cleared
to 0.  Conversely the children of a vertex n=xx1000 are xx1001, xx1010,
xx1100, so each trailing 0 bit changed to a 1 provided that does not exceed
the maximum N-1.  At the root the children are single bit powers-of-2 up to
the high bit of the maximum N-1.

          __0___
         /  |   \        N => 8
        1   2    4
            |   / \
            3  5   6
                   |
                   7
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYING Changes
%perl_vendor_privlib/G*

%changelog
* Thu Feb 28 2019 Igor Vlasenko <viy@altlinux.ru> 13-alt1
- updated by package builder

* Wed Dec 20 2017 Igor Vlasenko <viy@altlinux.ru> 10-alt1
- regenerated from template by package builder

* Thu Oct 26 2017 Igor Vlasenko <viy@altlinux.ru> 8-alt1
- regenerated from template by package builder

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 7-alt1
- regenerated from template by package builder

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 6-alt1
- regenerated from template by package builder

* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 5-alt1
- regenerated from template by package builder

* Tue Feb 14 2017 Igor Vlasenko <viy@altlinux.ru> 4-alt1
- regenerated from template by package builder

* Sat Mar 19 2016 Igor Vlasenko <viy@altlinux.ru> 3-alt1
- regenerated from template by package builder

* Wed Nov 04 2015 Igor Vlasenko <viy@altlinux.ru> 2-alt1
- initial import by package builder

